megatools-put(1)

NAME
megatools put - upload files to your Mega.nz account

SYNOPSIS
    megatools put [--no-progress] [--path <remotepath>] <paths>...

DESCRIPTION
Uploads files to your Mega.nz account.

NOTE: If you want to upload entire directories, use megatools-copy(1).

OPTIONS

--path <remotepath>
    Remote path to upload to. If this path is a directory, files are placed into the directory. If this path doesn’t exist, and it’s parent directory does, the file will be uploaded to a specified path (this only works if you specify exactly one file).

--no-progress
    Disable upload progress reporting.

--enable-previews
    Generate and upload file previews, when uploading new files. This is the default, unless you changed it in the configuration file. Use this to override the option from the configuration file.

--disable-previews
    Don’t generate and upload file previews. Default is to generate previews.

-u <email> , --username <email>
    Account username (email)

-p <password> , --password <password>
    Account password

--no-ask-password
    Never ask interactively for a password

--reload
    Reload filesystem cache

--limit-speed <speed>
    Set maximum allowed upload and download speed in KiB/s. This option overrides config file settings. 0 means no limit. When using ParallelTransfers > 1, upload speed limit is applied to each transfer individually.

--proxy <proxy>
    Use proxy server to connect to mega.nz. This option overrides config file settings. More information can be found in libcurl documentation at ⟨https://curl.haxx.se/libcurl/c/CURLOPT_PROXY.html⟩. Some acceptable values are:

    •   \FCnone\F[] : Disable proxy if it was enabled in the config file.

    •   \FCsocks5://localhost:9050\F[] : Local SOCKSv5 proxy server

    •   \FCsocks5h://localhost:9050\F[] : Local SOCKSv5 proxy server with DNS handled by the proxy

--netif <ifname|ip>
    Network interface or local IP address used for outgoing connections. You have to specify IP address bound to some of your local network interfaces, when specifying an IP address.

--ip-proto <proto>
    Which IP protocol to prefer when connecting to mega.nz (v4, v6, or any). This is just an advisory option. Megatools will resolve mega.nz domain, and then use an A or AAAA record based on the stated preference.

--config <path>
    Load configuration from a file

--ignore-config-file
    Disable loading .megarc

--debug [<options>]
    Enable debugging of various aspects of the megatools operation. You may enable multiple debugging options separated by commas. (eg. \FC--debug api,fs\F[])

    Available options are:

    •   \FChttp\F[]: Dump HTTP request/response details (can be used to debug connection/proxy issues)

    •   \FCapi\F[]: Dump Mega.nz API calls

    •   \FCfs\F[]: Dump Mega.nz filesystem (may require \FC--reload\F[] to actually print something)

    •   \FCcache\F[]: Dump cache contents

    •   \FCtman\F[]: Dump transfer manager events

--version
    Show version information

<paths>
    One or more local files to upload.

EXAMPLES

•   Upload file to the /Root:

    \FC$ megatools put README
    $ megatools ls /Root

    /Root
    /Root/README\F[]

•   Upload file, while naming it differently:

    \FC$ megatools put --path /Root/README.TXT README
    $ megatools ls /Root

    /Root
    /Root/README.TXT\F[]

REMOTE FILESYSTEM
Mega.nz filesystem is represented as a tree of nodes of various types. Nodes are identified by a 8 character node handles (eg. \FC7Fdi3ZjC\F[]). Structure of the filesystem is not encrypted.

Megatools maps node tree structure to a traditional filesystem paths (eg. \FC/Root/SomeFile.DAT\F[]).

NOTE: By the nature of Mega.nz storage, several files in the directory can have the same name. To allow access to such files, the names of conflicting files are extended by appending dot and their node handle like this:

\FC/Root/conflictingfile
/Root/conflictingfile.7Fdi3ZjC
/Root/conflictingfile.mEU23aSD\F[]

You need to be aware of several special folders:

/Root
    Writable directory representing the root of the filesystem.

/Trash
    Trash directory where Mega.nz web client moves deleted files. This directory is not used by megatools when removing files.

/Inbox
    Not sure.

/Contacts
    Directory containing subdirectories representing your contacts list. If you want to add contacts to the list, simply create subdirectory named after the contact you want to add.

/Contacts/<email>
    Directories representing individual contacts in your contacts list. These directories contain folders that others shared with you. All shared files are read-only, at the moment.

SEE ALSO
megatools(1), megarc(5), megatools-df(1), megatools-dl(1), megatools-get(1), megatools-ls(1), megatools-mkdir(1), megatools-put(1), megatools-reg(1), megatools-rm(1), megatools-copy(1).

MEGATOOLS
Part of the megatools(1) suite of commands.

BUGS
There is no upstream support for bugreports and feature requests. But you can send code patches to to get them integrated into upstream repository.

AUTHOR
Megatools was written by Ondrej Jirman < >, 2013-2022.

Official website is ⟨https://xff.cz/megatools/⟩.